import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import CertmanagerLogoLight from './CertmanagerLogoLight';
import CertmanagerLogoDark from './CertmanagerLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const CertmanagerLogoSvg = forwardRef(function CertmanagerLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(CertmanagerLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(CertmanagerLogoLight, Object.assign({}, props, { ref: ref })));
});
export default CertmanagerLogoSvg;
